# ZClipboard

ZClipboard is a simple text clipboard used for copy and paste.

It is typically used as a facet on the root widget. `Tui::ZRoot` returns an instance of this class in its `facet(…)` implementation when queried using this type.

Widgets can obtain an instance using `findFacet<Tui::ZClipboard>()`.

## ZClipboard

class Tui::ZClipboard : public QObject

  A simple text clipboard.

  Functions

  contents() const
  setContents(const QString &contents)

    The contents of the clipboard is a string.

  clear()

    Clear the contents of the clipboard.

  Signals

  contentsChanged()

    This signal is emitted when the contents of the clipboard changes.